bootstrap-validate

v2.2.0

A simple Form Validation Utility for Bootstrap 3 and Bootstrap 4 not depending on jQuery.

Download v1 for Bootstrap 3Download v2 (latest) for Bootstrap 4Star on GitHub

Changelog

All notable changes to this project will be documented in this file.

The format is based on Keep a Changelog and this project adheres to Semantic Versioning.

v2.2.0 - 2019-02-26

Added

v2.1.3 - 2018-05-23

Fixed

v2.1.2 - 2018-05-05

Fixed

v2.1.1 - 2018-05-04

Fixed

v2.1.0 - 2018-05-04

Added

v2.0.2 - 2018-04-24

Fixed

v2.0.1 - 2018-04-11

Fixed

v2.0.0 - 2018-01-31

This is a big one! Dropping Bootstrap v3 for that bright'n'shiny Bootstrap 4!

Added

bootstrapValidate('#prename', 'min:20:Enter at least <strong>20</strong> characters.');
bootstrapValidate(['#prename', '#lastname'], 'min:20:Enter at least 20 characters!');

This can come in handy when you are applying identical sets of rules and options to multiple input elements.

Removed

Other

1.0.11 - 2017-08-07

Added

1.0.10 - 2017-07-27

Added

1.0.9 - 2017-07-20

Added

Fixed

1.0.8 - 2017-07-19

Added

bootstrapValidate('#email', ...)

instead of

bootstrapValidate(document.querySelector('#email'), ...)

This is a non-breaking change - the old notation is still possible.

1.0.7 - 2017-06-16

1.0.6 - 2017-06-14

1.0.5 - 2017-06-07

1.0.4 - 2017-06-07

1.0.3 - 2017-06-06

1.0.2 - 2017-06-06

1.0.1 - 2017-06-06

1.0.0 - 2017-06-06

Initial Release